## nyquist 3.04b

=== sys/unix/alsa/Makefile ===
#
# Makefile for Nyquist, SYSTEM-TYPE is ALSA
# run make in the top-level Nyquist directory to compile Nyquist
#
# NOTE: this file is machine-generated.  DO NOT EDIT!
#   Instead, modify makefile.lsp and regenerate the makefile.
#   Ports and bug fixes are welcome - please mail them to 
#   dannenberg@cs.cmu.edu.  Thanks.
#

# This is the resulting executable (normally "ny"):
NY = ny

OPT = -O2 -m32
# OPT = -g -m32

EVERYTHING = $(NY) runtime/system.lsp jnyqide/jNyqIDE.jar \
           bin/ser-to-osc bin/test-client

CURRENT = $(EVERYTHING)

current: $(CURRENT)

onlyny: $(NY) runtime/system.lsp

JAVASRC = jnyqide/browser.java jnyqide/NyquistThread.java \
          jnyqide/Pair.java jnyqide/BareBonesBrowserLaunch.java \
          jnyqide/EnvelopeFrame.java jnyqide/Piano_Roll.java \
          jnyqide/FindDialog.java jnyqide/PlotFrame.java \
          jnyqide/InstrumentCharacteristics.java \
          jnyqide/PlotMouseAdapter.java \
          jnyqide/Jslide.java jnyqide/PopupListener.java \
          jnyqide/LispFileFilter.java jnyqide/PreferencesDialog.java \
          jnyqide/MainFrame_AboutBox.java jnyqide/ReplaceDialog.java \
          jnyqide/MainFrame.java jnyqide/SpringUtilities.java \
          jnyqide/Main.java \
          jnyqide/NotFoundDialog.java jnyqide/TextColor.java \
          jnyqide/NyqPlot.java jnyqide/Trie.java \
          jnyqide/NyquistFile.java jnyqide/WordList.java


jnyqide/jNyqIDE.jar: $(JAVASRC)
	if [ -r jnyqide/SpecialMacHandler.java ] ; then \
	mv jnyqide/SpecialMacHandler.java jnyqide/SpecialMacHandler.hidden ;\
	fi 
	cd jnyqide; javac *.java 
	mv jnyqide/SpecialMacHandler.hidden jnyqide/SpecialMacHandler.java 
	rm -rf jnyqide/jNyqIDE.jar 
	jar -cfm jnyqide/jNyqIDE.jar jnyqide/manifest.txt jnyqide/*.class 

# Standard list of includes (common to all unix versions)
# Keeping portaudio and libsndfile sources local to nyquist
INCL = -Inyqsrc -Itran -Ixlisp -Isys/unix -Icmt -Iffts/src \
   -Inyqstk/include -Inyqstk -Iportaudio/include -Iportaudio/src/common \
   -Iportaudio/src/os/unix \
   -Iliblo -Inylsf

# system dependent stuff for alsa:

AUDIOLIBS = -lasound

CC = gcc

LIBPA_PATH = portaudio/lib/.libs

LIBLO_PATH = liblo/src/.libs

# to enable command line editing, use -DREADLINE. WARNING: THIS WILL 
# DISABLE THE ABILITY TO INTERRUPT LISP AND USE SOME OTHER HANDY 
# CONTROL CHARACTERS (You will also need the readline and curses libraries)
CFLAGS = -DOSC -DCMTSTUFF $(OPT) $(INCL) \
    -DHAVE_LIBPTHREAD=1 -D_FILE_OFFSET_BITS=64 \
    -DSTK_NYQUIST -DUSE_VSPRINTF \
    -DHAVE_CONFIG_H
LN = g++ -m32
AR = ar
# to enable command line editing, insert -lreadline -lcurses
LFLAGS = $(LIBPA_PATH)/libportaudio.a $(LIBLO_PATH)/liblo.a $(AUDIOLIBS) -lm -lpthread -lrt

TAGS:
	find . ( -name 

INTGEN = misc/intgen

# Object files for Nyquist:
OBJECTS = xlisp/extern.o xlisp/xldmem.o  \
	xlisp/xlbfun.o xlisp/xlcont.o  \
	xlisp/xldbug.o xlisp/xleval.o  \
	xlisp/xlfio.o xlisp/xlftab.o  \
	xlisp/xlglob.o xlisp/xlimage.o  \
	xlisp/xlinit.o xlisp/xlio.o  \
	xlisp/xlisp.o xlisp/xljump.o  \
	xlisp/xllist.o xlisp/xlmath.o  \
	xlisp/xlobj.o xlisp/xlpp.o  \
	xlisp/xlprin.o xlisp/xlread.o  \
	xlisp/xlstr.o xlisp/xlsubr.o  \
	xlisp/xlsym.o xlisp/xlsys.o  \
	xlisp/path.o tran/abs.o  \
	tran/allpoles.o tran/alpass.o  \
	tran/alpasscv.o tran/alpassvv.o  \
	tran/amosc.o tran/areson.o  \
	tran/aresonvc.o tran/aresoncv.o  \
	tran/aresonvv.o tran/atone.o  \
	tran/atonev.o tran/biquadfilt.o  \
	tran/buzz.o tran/chase.o  \
	tran/clip.o tran/congen.o  \
	tran/const.o tran/coterm.o  \
	tran/delaycc.o tran/delaycv.o  \
	tran/eqbandvvv.o tran/exp.o  \
	tran/follow.o tran/fmosc.o  \
	tran/fromobject.o tran/fromarraystream.o  \
	tran/gate.o tran/ifft.o  \
	tran/instrclar.o tran/instrclarall.o  \
	tran/instrclarfreq.o tran/instrsax.o  \
	tran/instrsaxall.o tran/instrsaxfreq.o  \
	tran/integrate.o tran/log.o  \
	tran/lpreson.o tran/maxv.o  \
	tran/offset.o tran/oneshot.o  \
	tran/osc.o tran/partial.o  \
	tran/pluck.o tran/prod.o  \
	tran/pwl.o tran/quantize.o  \
	tran/recip.o tran/reson.o  \
	tran/resonvc.o tran/resoncv.o  \
	tran/resonvv.o tran/sampler.o  \
	tran/scale.o tran/shape.o  \
	tran/sine.o tran/siosc.o  \
	tran/slope.o tran/sqrt.o  \
	tran/tapf.o tran/tapv.o  \
	tran/tone.o tran/tonev.o  \
	tran/upsample.o tran/white.o  \
	tran/stkrev.o tran/stkpitshift.o  \
	tran/stkchorus.o tran/instrbow.o  \
	tran/instrbowedfreq.o tran/instrbanded.o  \
	tran/instrmandolin.o tran/instrsitar.o  \
	tran/instrmodalbar.o tran/instrflute.o  \
	tran/instrflutefreq.o tran/instrfluteall.o  \
	tran/fmfb.o tran/fmfbv.o  \
	cmt/cext.o cmt/cleanup.o  \
	cmt/cmdline.o cmt/cmtcmd.o  \
	cmt/moxc.o cmt/mem.o  \
	cmt/midifile.o cmt/midifns.o  \
	cmt/record.o cmt/seq.o  \
	cmt/seqmread.o cmt/seqmwrite.o  \
	cmt/seqread.o cmt/seqwrite.o  \
	cmt/tempomap.o cmt/timebase.o  \
	cmt/userio.o nylsf/aiff.o  \
	nylsf/alaw.o nylsf/au.o  \
	nylsf/avr.o nylsf/broadcast.o  \
	nylsf/caf.o nylsf/command.o  \
	nylsf/common.o nylsf/dither.o  \
	nylsf/double64.o nylsf/dwd.o  \
	nylsf/dwvw.o nylsf/file_io.o  \
	nylsf/flac.o nylsf/float32.o  \
	nylsf/gsm610.o nylsf/htk.o  \
	nylsf/ima_adpcm.o nylsf/interleave.o  \
	nylsf/ircam.o nylsf/macbinary3.o  \
	nylsf/macos.o nylsf/mat4.o  \
	nylsf/mat5.o nylsf/ms_adpcm.o  \
	nylsf/nist.o nylsf/ogg.o  \
	nylsf/paf.o nylsf/pcm.o  \
	nylsf/pvf.o nylsf/raw.o  \
	nylsf/rx2.o nylsf/sd2.o  \
	nylsf/sds.o nylsf/sndfile.o  \
	nylsf/strings.o nylsf/svx.o  \
	nylsf/txw.o nylsf/ulaw.o  \
	nylsf/voc.o nylsf/vox_adpcm.o  \
	nylsf/w64.o nylsf/wav.o  \
	nylsf/wav_w64.o nylsf/wve.o  \
	nylsf/xi.o nylsf/g72x.o  \
	nylsf/GSM610/add.o nylsf/GSM610/code.o  \
	nylsf/GSM610/decode.o nylsf/GSM610/gsm_create.o  \
	nylsf/GSM610/gsm_decode.o nylsf/GSM610/gsm_destroy.o  \
	nylsf/GSM610/gsm_encode.o nylsf/GSM610/gsm_option.o  \
	nylsf/GSM610/long_term.o nylsf/GSM610/lpc.o  \
	nylsf/GSM610/preprocess.o nylsf/GSM610/rpe.o  \
	nylsf/GSM610/short_term.o nylsf/GSM610/table.o  \
	nylsf/G72x/g721.o nylsf/G72x/g723_16.o  \
	nylsf/G72x/g723_24.o nylsf/G72x/g723_40.o  \
	nylsf/G72x/g72x.o nyqsrc/debug.o  \
	nyqsrc/falloc.o nyqsrc/local.o  \
	nyqsrc/handlers.o nyqsrc/multiread.o  \
	nyqsrc/seqext.o nyqsrc/seqinterf.o  \
	nyqsrc/stats.o nyqsrc/ffilterkit.o  \
	nyqsrc/sliders.o nyqsrc/sound.o  \
	nyqsrc/add.o nyqsrc/avg.o  \
	nyqsrc/compose.o nyqsrc/convolve.o  \
	nyqsrc/downsample.o nyqsrc/fft.o  \
	nyqsrc/inverse.o nyqsrc/multiseq.o  \
	nyqsrc/resamp.o nyqsrc/resampv.o  \
	nyqsrc/samples.o nyqsrc/sndmax.o  \
	nyqsrc/sndread.o nyqsrc/sndseq.o  \
	nyqsrc/sndwritepa.o nyqsrc/yin.o  \
	nyqsrc/nyq-osc-server.o nyqsrc/trigger.o  \
	nyqsrc/lpanal.o nyqsrc/phasevocoder.o  \
	nyqsrc/pvshell.o nyqstk/src/Generator.o  \
	nyqstk/src/SineWave.o nyqstk/src/Function.o  \
	nyqstk/src/FileRead.o nyqstk/src/FileWvIn.o  \
	nyqstk/src/Effect.o nyqstk/src/Clarinet.o  \
	nyqstk/src/Delay.o nyqstk/src/DelayL.o  \
	nyqstk/src/Envelope.o nyqstk/src/Filter.o  \
	nyqstk/src/Instrmnt.o nyqstk/src/Noise.o  \
	nyqstk/src/OneZero.o nyqstk/src/ReedTable.o  \
	nyqstk/src/Saxofony.o nyqstk/src/Stk.o  \
	nyqstk/src/WaveLoop.o nyqstk/src/WvIn.o  \
	nyqstk/src/NRev.o nyqstk/src/JCRev.o  \
	nyqstk/src/PRCRev.o nyqstk/src/PitShift.o  \
	nyqstk/src/Chorus.o nyqstk/src/Bowed.o  \
	nyqstk/src/BowTable.o nyqstk/src/ADSR.o  \
	nyqstk/src/OnePole.o nyqstk/src/BiQuad.o  \
	nyqstk/src/BandedWG.o nyqstk/src/DelayA.o  \
	nyqstk/src/Mandolin.o nyqstk/src/PluckTwo.o  \
	nyqstk/src/Sitar.o nyqstk/src/ModalBar.o  \
	nyqstk/src/Modal.o nyqstk/src/Flute.o  \
	nyqstk/src/JetTable.o nyqstk/src/PoleZero.o  \
	nyqstk/stkinit.o nyqstk/instr.o  \
	nyqstk/stkint.o ffts/src/fftext.o  \
	ffts/src/fftlib.o ffts/src/matlib.o  \
	nyqsrc/sndfnint.o nyqsrc/seqfnint.o  \
	sys/unix/osstuff.o sys/unix/term.o 

# Sound functions to add to xlisp
NYQHDRS = nyqsrc/sndfmt.h nylsf/sndfile.h  \
	nyqsrc/sound.h nyqsrc/add.h  \
	nyqsrc/avg.h nyqsrc/compose.h  \
	nyqsrc/convolve.h nyqsrc/downsample.h  \
	nyqsrc/fft.h nyqsrc/inverse.h  \
	nyqsrc/multiseq.h nyqsrc/resamp.h  \
	nyqsrc/resampv.h nyqsrc/samples.h  \
	nyqsrc/sndmax.h nyqsrc/sndread.h  \
	nyqsrc/sndseq.h nyqsrc/sndsliders.h  \
	nyqsrc/sndwrite.h nyqsrc/yin.h  \
	nyqsrc/nyq-osc-server.h nyqsrc/trigger.h  \
	nyqsrc/lpanal.h nyqsrc/phasevocoder.h  \
	nyqsrc/pvshell.h tran/abs.h  \
	tran/allpoles.h tran/alpass.h  \
	tran/alpasscv.h tran/alpassvv.h  \
	tran/amosc.h tran/areson.h  \
	tran/aresonvc.h tran/aresoncv.h  \
	tran/aresonvv.h tran/atone.h  \
	tran/atonev.h tran/biquadfilt.h  \
	tran/buzz.h tran/chase.h  \
	tran/clip.h tran/congen.h  \
	tran/const.h tran/coterm.h  \
	tran/delaycc.h tran/delaycv.h  \
	tran/eqbandvvv.h tran/exp.h  \
	tran/follow.h tran/fmosc.h  \
	tran/fromobject.h tran/fromarraystream.h  \
	tran/gate.h tran/ifft.h  \
	tran/instrclar.h tran/instrclarall.h  \
	tran/instrclarfreq.h tran/instrsax.h  \
	tran/instrsaxall.h tran/instrsaxfreq.h  \
	tran/integrate.h tran/log.h  \
	tran/lpreson.h tran/maxv.h  \
	tran/offset.h tran/oneshot.h  \
	tran/osc.h tran/partial.h  \
	tran/pluck.h tran/prod.h  \
	tran/pwl.h tran/quantize.h  \
	tran/recip.h tran/reson.h  \
	tran/resonvc.h tran/resoncv.h  \
	tran/resonvv.h tran/sampler.h  \
	tran/scale.h tran/shape.h  \
	tran/sine.h tran/siosc.h  \
	tran/slope.h tran/sqrt.h  \
	tran/tapf.h tran/tapv.h  \
	tran/tone.h tran/tonev.h  \
	tran/upsample.h tran/white.h  \
	tran/stkrev.h tran/stkpitshift.h  \
	tran/stkchorus.h tran/instrbow.h  \
	tran/instrbowedfreq.h tran/instrbanded.h  \
	tran/instrmandolin.h tran/instrsitar.h  \
	tran/instrmodalbar.h tran/instrflute.h  \
	tran/instrflutefreq.h tran/instrfluteall.h  \
	tran/fmfb.h tran/fmfbv.h 

CMTHDRS = cmt/seqdecls.h nyqsrc/seqext.h  \
	cmt/seq.h nyqsrc/seqinterf.h  \
	cmt/seqread.h cmt/seqmread.h  \
	cmt/seqwrite.h cmt/seqmwrite.h 



bin:
	mkdir bin

liblo/Makefile:
	cd liblo; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared
	# sometimes, residual files cause problems
	cd liblo; make clean

$(LIBLO_PATH)/liblo.a: liblo/Makefile
	cd liblo; make

bin/ser-to-osc: bin $(LIBLO_PATH)/liblo.a
	$(CC) -c $(CFLAGS) liblo/ser-to-osc/ser-to-osc.cpp \
	      -o liblo/ser-to-osc/ser-to-osc.o
	$(LN)  liblo/ser-to-osc/ser-to-osc.o -o bin/ser-to-osc $(LFLAGS)

bin/test-client: bin $(LIBLO_PATH)/liblo.a
	$(CC) -c $(CFLAGS) liblo/test-client/test-client.c \
	      -o liblo/test-client/test-client.o
	$(LN) liblo/test-client/test-client.o -o bin/test-client  $(LFLAGS)

portaudio/Makefile:
	# note: without-jack avoids 32/64-bit link error on Debian
	cd portaudio; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared --without-jack
	# sometimes, residual files cause problems
	cd portaudio; make clean

$(LIBPA_PATH)/libportaudio.a: portaudio/Makefile
	cd portaudio; make

$(NY): $(OBJECTS) $(LIBPA_PATH)/libportaudio.a $(LIBLO_PATH)/liblo.a
	$(LN) $(OBJECTS) $(LFLAGS) -o $(NY)

# copy appropriate system.lsp and make it read-only;
# changes should be made to sys/unix/<system>/system.lsp
runtime/system.lsp: sys/unix/alsa/system.lsp
	# make sure it's there before you make it writeable
	touch runtime/system.lsp
	chmod +w runtime/system.lsp
	cp -p sys/unix/alsa/system.lsp runtime/system.lsp
	chmod -w runtime/system.lsp

nyqsrc/sound.o: nyqsrc/sound.c nyqsrc/sound.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/sound.c -o nyqsrc/sound.o $(CFLAGS)

nyqsrc/add.o: nyqsrc/add.c nyqsrc/add.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/add.c -o nyqsrc/add.o $(CFLAGS)

nyqsrc/avg.o: nyqsrc/avg.c nyqsrc/avg.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/avg.c -o nyqsrc/avg.o $(CFLAGS)

nyqsrc/compose.o: nyqsrc/compose.c nyqsrc/compose.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/compose.c -o nyqsrc/compose.o $(CFLAGS)

nyqsrc/convolve.o: nyqsrc/convolve.c nyqsrc/convolve.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/convolve.c -o nyqsrc/convolve.o $(CFLAGS)

=== debian/changelog ===
nyquist (3.04b-5) unstable; urgency=low

  * control: Add armhf, avr32, m68k, powerpcspe, and sh4 to list of
    architectures.  Closes: #614735.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Mar 2011 10:14:15 -0500

nyquist (3.04b-4) unstable; urgency=low

  * Target upload to unstable.

 -- Steven M. Robbins <smr@debian.org>  Mon, 21 Feb 2011 11:35:27 -0600

nyquist (3.04b-3) experimental; urgency=low
  
  * control: Change architecture from "any" to list of 32-bit platforms.
  
  * patches/fix-term-includes.patch: New.  Remove include of
    <asm/ioctls.h>, which doesn't exist on all architectures.

  * patches/use-system-sndfile.patch: New.  Use system libsndfile.
  * control: Build-depend on libsndfile1-dev.
  
  * patches/use-system-liblo.patch: New.  Use system liblo.
  * control: Build-depend on liblo-dev.

  * patches/use-system-portaudio.patch: New.  Use system portaudio.
  * control: Build-depend on portaudio19-dev.

 -- Steven M. Robbins <steve@debian.org>  Sun, 30 Jan 2011 13:55:53 -0600

nyquist (3.04b-2) experimental; urgency=low

  * patches/makefile.patch: remove "-m32" flag; it's not understood on
    non-x86 architectures.

  * check32.c: New. 
  * rules: Fail build if pointer is not 32 bits.
  
  * control: No longer need gcc-multilib, g++-multilib.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Jan 2011 22:42:41 -0600

nyquist (3.04b-1) experimental; urgency=low

  * New upstream.  Source tarball constructed from zip file as
    detailed in debian/Notes.
    - Remove patches applied upstream:
      - patches/correct_typo.patch
      - patches/endianness.patch
      - patches/fileread.patch
      - patches/kfreebsd.patch
    - patches/jnyqide.patch: Remove.  Equivalent functionality implemented.
  
  * patches/makefile.patch: Rework.  We now build included liblo and
    portaudio libraries because nyquist is built in 32-bit mode and thus
    needs to be linked against 32-bit versions of these supporting
    libraries.
  * control: Remove build-deps liblo-dev, portaudio19-dev.  Add build
    deps (for 64-bit arches) on gcc-multilib and g++-multilib for
    required 32-bit libraries.

  * control:
  * rules: 
  * patches/makefile.patch: Refresh config.sub, config.guess.  Set
    build-deps and invoke configure according to autotools-dev.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Jan 2011 17:37:45 -0600

nyquist (3.03-2) experimental; urgency=low

  * patches/kfreebsd.patch: New.  Fixes for kFreeBSD.  Adapted from Cyril
    Brulebois's kfreebsd patch.  Closes: #415103.
  
  * patches/endianness.patch: New.  Fixes detection and error reporting of
    endianness.  Adapted from Cyril Brulebois's kfreebsd patch.

  * jny:
  * links:
  * install: Install jNyqIDE.jar, NyquistWords.txt into
    /usr/share/nyquist/jnyqide.  Symlink the doc files.
  
  * patches/jnyqide.patch: Exec("ny") to use PATH search mechanism rather
    than hardcoding exec("./ny").

  * jny.1: New.  Basic manpage for jny.
  
 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Dec 2010 22:34:37 -0600

nyquist (3.03-1) experimental; urgency=low

  * New upstream.  Closes: #442807.
    - patches/xlisp.patch:
    - patches/netinet-conflicting-sendmsg.patch:
    - patches/errno.patch: Remove.  Applied upstream.

  * Package maintenance (Nick Andrik <nick.andrik@gmail.com>)
    - Added debian/watch file
    - Support for jNyqIDE
      + debian/control: Added java dependencies
      + debian/rules: Added javahelper usage
      + debian/jny: Script wrapper installed into /usr/bin
      + debian/jlibs: Added file specifying jnyqide/jNyqIDE.jar
    - Saner directory hierarchy
      + debian/ny_wrapper: Renamed to debian/ny, installed into usr/bin
      + ny: The default executable is installed into /usr/lib/nyquist/ny
      + There is only one manpage, referring to ny
    - debian/doc-base
      + Added file to point in the doc/home.html manual page
    - Use external packages for the supporting libraries and ignore the 
      included versions
      + Added liblo-dev, libsndfile1-dev, portaudio19-dev build dependencies
        in debian/control
      + Removed support for building them from the Makefile
    - debian/patches
      + fileread.patch: Include <cstdio> in nyqstk/src/FileRead.cpp
      + makefile.patch: Avoid building supporting libraries in the Makefile
      + correct_typo.patch: A small typo fix in nylsf/sndfile.c

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Dec 2010 21:57:47 -0600

nyquist (2.29-8) experimental; urgency=low

  * rules: Re-write using "dh".
  
  * compat: Set to level 8.
  
  * menu:: Correct syntax errors.

  * patches/netinet-conflicting-sendmsg.patch: New. Replaces modified
    sndwrite.c in svn.
  * patches/errno.patch: New.  Replaces modified osstuff.c in svn.
  * patches/xlisp.patch: New.  Replaces modified xlisp.h in svn.

  * control: Move homepage to header.  Set Standards-Version to 3.9.1.
    Remove libreadline5-dev build-dep.  Closes: #553818.
  
  * ny_wrapper: Pass command line options.  Closes: #377838.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Dec 2010 07:19:42 -0600

nyquist (2.29-7) experimental; urgency=low

  * New maintainer.  Closes: #483581, 595528.

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Dec 2010 05:47:20 -0600

nyquist (2.29-6) unstable; urgency=low

  * Rebuild with libreadline5 (closes: #326312)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 28 Sep 2005 19:10:46 +0200

nyquist (2.29-5) unstable; urgency=low

  * amd64/gcc-3.4 patch from Andreas Jochens (closes: #280269)

 -- Hans Fugal <hans@fugal.net>  Tue, 30 Nov 2004 09:33:31 -0700

nyquist (2.29-4) unstable; urgency=low

  * Upgraded to policy 3.6.1 (no changes)
  * MIPS getenv patch applied (closes: #241540)

 -- Hans Fugal <hans@fugal.net>  Thu, 01 Apr 2004 19:27:54 -0700

nyquist (2.29-3) unstable; urgency=low

  * Added changelog entry for last upload.

 -- Hans Fugal <hans@fugal.net>  Mon, 08 Mar 2004 22:24:12 -0700

nyquist (2.29-2) unstable; urgency=low



=== debian/control ===
Source: nyquist
Homepage: http://www.cs.cmu.edu/~music/nyquist/
Section: sound
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 8), javahelper, autoconf, automake1.11, libtool (>= 2.2.6),
 default-jdk, libsndfile1-dev, liblo-dev, portaudio19-dev
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/nyquist/trunk/?op=log
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nyquist/trunk
Standards-Version: 3.9.1

Package: nyquist
Architecture: arm armel armhf any-i386 avr32 m68k mips mipsel powerpc powerpcspe sh4 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a language for music composition and sound synthesis
 Unlike score languages that tend to deal only with events, or signal
 processing languages that tend to deal only with signals and synthesis,
 Nyquist handles both in a single integrated system. Nyquist is also flexible
 and easy to use because it is based on an interactive Lisp interpreter
 (XLISP).
 .
 With Nyquist, you can design instruments by combining functions (much as you
 would using the orchestra languages of Music V, cmusic, or Csound). You can
 call upon these instruments and generate a sound just by typing a simple
 expression. You can combine simple expressions into complex ones to create a
 whole composition.

## nyquist 3.05

=== sys/unix/nonalsa/Makefile ===
#
# Makefile for Nyquist, SYSTEM-TYPE is NONALSA
# run make in the top-level Nyquist directory to compile Nyquist
#
# NOTE: this file is machine-generated.  DO NOT EDIT!
#   Instead, modify makefile.lsp and regenerate the makefile.
#   Ports and bug fixes are welcome - please mail them to 
#   dannenberg@cs.cmu.edu.  Thanks.
#

# This is the resulting executable (normally "ny"):
NY = ny

OPT = -O2 -m32
# OPT = -g -m32

EVERYTHING = $(NY) runtime/system.lsp jnyqide/jNyqIDE.jar \
           bin/ser-to-osc bin/test-client

CURRENT = $(EVERYTHING)

current: $(CURRENT)

onlyny: $(NY) runtime/system.lsp

JAVASRC = jnyqide/browser.java jnyqide/NyquistThread.java \
          jnyqide/Pair.java jnyqide/BareBonesBrowserLaunch.java \
          jnyqide/EnvelopeFrame.java jnyqide/Piano_Roll.java \
          jnyqide/FindDialog.java jnyqide/PlotFrame.java \
          jnyqide/InstrumentCharacteristics.java \
          jnyqide/PlotMouseAdapter.java \
          jnyqide/Jslide.java jnyqide/PopupListener.java \
          jnyqide/LispFileFilter.java jnyqide/PreferencesDialog.java \
          jnyqide/MainFrame_AboutBox.java jnyqide/ReplaceDialog.java \
          jnyqide/MainFrame.java jnyqide/SpringUtilities.java \
          jnyqide/Main.java \
          jnyqide/NotFoundDialog.java jnyqide/TextColor.java \
          jnyqide/NyqPlot.java jnyqide/Trie.java \
          jnyqide/NyquistFile.java jnyqide/WordList.java


jnyqide/jNyqIDE.jar: $(JAVASRC)
	if [ -r jnyqide/SpecialMacHandler.java ] ; then \
	mv jnyqide/SpecialMacHandler.java jnyqide/SpecialMacHandler.hidden ;\
	fi 
	cd jnyqide; javac *.java 
	mv jnyqide/SpecialMacHandler.hidden jnyqide/SpecialMacHandler.java 
	rm -rf jnyqide/jNyqIDE.jar 
	jar -cfm jnyqide/jNyqIDE.jar jnyqide/manifest.txt jnyqide/*.class 

# Standard list of includes (common to all unix versions)
# Keeping portaudio and libsndfile sources local to nyquist
INCL = -Inyqsrc -Itran -Ixlisp -Isys/unix -Icmt -Iffts/src \
   -Inyqstk/include -Inyqstk -Iportaudio/include -Iportaudio/src/common \
   -Iportaudio/src/os/unix \
   -Iliblo -Inylsf

# system dependent stuff for nonalsa:

AUDIOLIBS =

CC = gcc

LIBPA_PATH = portaudio/lib/.libs

LIBLO_PATH = liblo/src/.libs

# to enable command line editing, use -DREADLINE. WARNING: THIS WILL 
# DISABLE THE ABILITY TO INTERRUPT LISP AND USE SOME OTHER HANDY 
# CONTROL CHARACTERS (You will also need the readline and curses libraries)
CFLAGS = -DOSC -DCMTSTUFF $(OPT) $(INCL) \
    -DHAVE_LIBPTHREAD=1 -D_FILE_OFFSET_BITS=64 \
    -DSTK_NYQUIST -DUSE_VSPRINTF \
    -DHAVE_CONFIG_H
LN = g++ -m32
AR = ar
# to enable command line editing, insert -lreadline -lcurses
LFLAGS = $(LIBPA_PATH)/libportaudio.a $(LIBLO_PATH)/liblo.a $(AUDIOLIBS) -lm -lpthread -lrt

TAGS:
	find . ( -name 

INTGEN = misc/intgen

# Object files for Nyquist:
OBJECTS = xlisp/extern.o xlisp/xldmem.o  \
	xlisp/xlbfun.o xlisp/xlcont.o  \
	xlisp/xldbug.o xlisp/xleval.o  \
	xlisp/xlfio.o xlisp/xlftab.o  \
	xlisp/xlglob.o xlisp/xlimage.o  \
	xlisp/xlinit.o xlisp/xlio.o  \
	xlisp/xlisp.o xlisp/xljump.o  \
	xlisp/xllist.o xlisp/xlmath.o  \
	xlisp/xlobj.o xlisp/xlpp.o  \
	xlisp/xlprin.o xlisp/xlread.o  \
	xlisp/xlstr.o xlisp/xlsubr.o  \
	xlisp/xlsym.o xlisp/xlsys.o  \
	xlisp/path.o tran/abs.o  \
	tran/allpoles.o tran/alpass.o  \
	tran/alpasscv.o tran/alpassvv.o  \
	tran/amosc.o tran/areson.o  \
	tran/aresonvc.o tran/aresoncv.o  \
	tran/aresonvv.o tran/atone.o  \
	tran/atonev.o tran/biquadfilt.o  \
	tran/buzz.o tran/chase.o  \
	tran/clip.o tran/congen.o  \
	tran/const.o tran/coterm.o  \
	tran/delaycc.o tran/delaycv.o  \
	tran/eqbandvvv.o tran/exp.o  \
	tran/follow.o tran/fmosc.o  \
	tran/fromobject.o tran/fromarraystream.o  \
	tran/gate.o tran/ifft.o  \
	tran/instrclar.o tran/instrclarall.o  \
	tran/instrclarfreq.o tran/instrsax.o  \
	tran/instrsaxall.o tran/instrsaxfreq.o  \
	tran/integrate.o tran/log.o  \
	tran/lpreson.o tran/maxv.o  \
	tran/offset.o tran/oneshot.o  \
	tran/osc.o tran/partial.o  \
	tran/pluck.o tran/prod.o  \
	tran/pwl.o tran/quantize.o  \
	tran/recip.o tran/reson.o  \
	tran/resonvc.o tran/resoncv.o  \
	tran/resonvv.o tran/sampler.o  \
	tran/scale.o tran/shape.o  \
	tran/sine.o tran/siosc.o  \
	tran/slope.o tran/sqrt.o  \
	tran/tapf.o tran/tapv.o  \
	tran/tone.o tran/tonev.o  \
	tran/upsample.o tran/white.o  \
	tran/stkrev.o tran/stkpitshift.o  \
	tran/stkchorus.o tran/instrbow.o  \
	tran/instrbowedfreq.o tran/instrbanded.o  \
	tran/instrmandolin.o tran/instrsitar.o  \
	tran/instrmodalbar.o tran/instrflute.o  \
	tran/instrflutefreq.o tran/instrfluteall.o  \
	tran/fmfb.o tran/fmfbv.o  \
	cmt/cext.o cmt/cleanup.o  \
	cmt/cmdline.o cmt/cmtcmd.o  \
	cmt/moxc.o cmt/mem.o  \
	cmt/midifile.o cmt/midifns.o  \
	cmt/record.o cmt/seq.o  \
	cmt/seqmread.o cmt/seqmwrite.o  \
	cmt/seqread.o cmt/seqwrite.o  \
	cmt/tempomap.o cmt/timebase.o  \
	cmt/userio.o nylsf/aiff.o  \
	nylsf/alaw.o nylsf/au.o  \
	nylsf/avr.o nylsf/broadcast.o  \
	nylsf/caf.o nylsf/command.o  \
	nylsf/common.o nylsf/dither.o  \
	nylsf/double64.o nylsf/dwd.o  \
	nylsf/dwvw.o nylsf/file_io.o  \
	nylsf/flac.o nylsf/float32.o  \
	nylsf/gsm610.o nylsf/htk.o  \
	nylsf/ima_adpcm.o nylsf/interleave.o  \
	nylsf/ircam.o nylsf/macbinary3.o  \
	nylsf/macos.o nylsf/mat4.o  \
	nylsf/mat5.o nylsf/ms_adpcm.o  \
	nylsf/nist.o nylsf/ogg.o  \
	nylsf/paf.o nylsf/pcm.o  \
	nylsf/pvf.o nylsf/raw.o  \
	nylsf/rx2.o nylsf/sd2.o  \
	nylsf/sds.o nylsf/sndfile.o  \
	nylsf/strings.o nylsf/svx.o  \
	nylsf/txw.o nylsf/ulaw.o  \
	nylsf/voc.o nylsf/vox_adpcm.o  \
	nylsf/w64.o nylsf/wav.o  \
	nylsf/wav_w64.o nylsf/wve.o  \
	nylsf/xi.o nylsf/g72x.o  \
	nylsf/GSM610/add.o nylsf/GSM610/code.o  \
	nylsf/GSM610/decode.o nylsf/GSM610/gsm_create.o  \
	nylsf/GSM610/gsm_decode.o nylsf/GSM610/gsm_destroy.o  \
	nylsf/GSM610/gsm_encode.o nylsf/GSM610/gsm_option.o  \
	nylsf/GSM610/long_term.o nylsf/GSM610/lpc.o  \
	nylsf/GSM610/preprocess.o nylsf/GSM610/rpe.o  \
	nylsf/GSM610/short_term.o nylsf/GSM610/table.o  \
	nylsf/G72x/g721.o nylsf/G72x/g723_16.o  \
	nylsf/G72x/g723_24.o nylsf/G72x/g723_40.o  \
	nylsf/G72x/g72x.o nyqsrc/debug.o  \
	nyqsrc/falloc.o nyqsrc/local.o  \
	nyqsrc/handlers.o nyqsrc/multiread.o  \
	nyqsrc/seqext.o nyqsrc/seqinterf.o  \
	nyqsrc/stats.o nyqsrc/ffilterkit.o  \
	nyqsrc/sliders.o nyqsrc/sound.o  \
	nyqsrc/add.o nyqsrc/avg.o  \
	nyqsrc/compose.o nyqsrc/convolve.o  \
	nyqsrc/downsample.o nyqsrc/fft.o  \
	nyqsrc/inverse.o nyqsrc/multiseq.o  \
	nyqsrc/resamp.o nyqsrc/resampv.o  \
	nyqsrc/samples.o nyqsrc/sndmax.o  \
	nyqsrc/sndread.o nyqsrc/sndseq.o  \
	nyqsrc/sndwritepa.o nyqsrc/yin.o  \
	nyqsrc/nyq-osc-server.o nyqsrc/trigger.o  \
	nyqsrc/lpanal.o nyqsrc/phasevocoder.o  \
	nyqsrc/pvshell.o nyqstk/src/Generator.o  \
	nyqstk/src/SineWave.o nyqstk/src/Function.o  \
	nyqstk/src/FileRead.o nyqstk/src/FileWvIn.o  \
	nyqstk/src/Effect.o nyqstk/src/Clarinet.o  \
	nyqstk/src/Delay.o nyqstk/src/DelayL.o  \
	nyqstk/src/Envelope.o nyqstk/src/Filter.o  \
	nyqstk/src/Instrmnt.o nyqstk/src/Noise.o  \
	nyqstk/src/OneZero.o nyqstk/src/ReedTable.o  \
	nyqstk/src/Saxofony.o nyqstk/src/Stk.o  \
	nyqstk/src/WaveLoop.o nyqstk/src/WvIn.o  \
	nyqstk/src/NRev.o nyqstk/src/JCRev.o  \
	nyqstk/src/PRCRev.o nyqstk/src/PitShift.o  \
	nyqstk/src/Chorus.o nyqstk/src/Bowed.o  \
	nyqstk/src/BowTable.o nyqstk/src/ADSR.o  \
	nyqstk/src/OnePole.o nyqstk/src/BiQuad.o  \
	nyqstk/src/BandedWG.o nyqstk/src/DelayA.o  \
	nyqstk/src/Mandolin.o nyqstk/src/PluckTwo.o  \
	nyqstk/src/Sitar.o nyqstk/src/ModalBar.o  \
	nyqstk/src/Modal.o nyqstk/src/Flute.o  \
	nyqstk/src/JetTable.o nyqstk/src/PoleZero.o  \
	nyqstk/stkinit.o nyqstk/instr.o  \
	nyqstk/stkint.o ffts/src/fftext.o  \
	ffts/src/fftlib.o ffts/src/matlib.o  \
	nyqsrc/sndfnint.o nyqsrc/seqfnint.o  \
	sys/unix/osstuff.o sys/unix/term.o 

# Sound functions to add to xlisp
NYQHDRS = nyqsrc/sndfmt.h nylsf/sndfile.h  \
	nyqsrc/sound.h nyqsrc/add.h  \
	nyqsrc/avg.h nyqsrc/compose.h  \
	nyqsrc/convolve.h nyqsrc/downsample.h  \
	nyqsrc/fft.h nyqsrc/inverse.h  \
	nyqsrc/multiseq.h nyqsrc/resamp.h  \
	nyqsrc/resampv.h nyqsrc/samples.h  \
	nyqsrc/sndmax.h nyqsrc/sndread.h  \
	nyqsrc/sndseq.h nyqsrc/sndsliders.h  \
	nyqsrc/sndwrite.h nyqsrc/yin.h  \
	nyqsrc/nyq-osc-server.h nyqsrc/trigger.h  \
	nyqsrc/lpanal.h nyqsrc/phasevocoder.h  \
	nyqsrc/pvshell.h tran/abs.h  \
	tran/allpoles.h tran/alpass.h  \
	tran/alpasscv.h tran/alpassvv.h  \
	tran/amosc.h tran/areson.h  \
	tran/aresonvc.h tran/aresoncv.h  \
	tran/aresonvv.h tran/atone.h  \
	tran/atonev.h tran/biquadfilt.h  \
	tran/buzz.h tran/chase.h  \
	tran/clip.h tran/congen.h  \
	tran/const.h tran/coterm.h  \
	tran/delaycc.h tran/delaycv.h  \
	tran/eqbandvvv.h tran/exp.h  \
	tran/follow.h tran/fmosc.h  \
	tran/fromobject.h tran/fromarraystream.h  \
	tran/gate.h tran/ifft.h  \
	tran/instrclar.h tran/instrclarall.h  \
	tran/instrclarfreq.h tran/instrsax.h  \
	tran/instrsaxall.h tran/instrsaxfreq.h  \
	tran/integrate.h tran/log.h  \
	tran/lpreson.h tran/maxv.h  \
	tran/offset.h tran/oneshot.h  \
	tran/osc.h tran/partial.h  \
	tran/pluck.h tran/prod.h  \
	tran/pwl.h tran/quantize.h  \
	tran/recip.h tran/reson.h  \
	tran/resonvc.h tran/resoncv.h  \
	tran/resonvv.h tran/sampler.h  \
	tran/scale.h tran/shape.h  \
	tran/sine.h tran/siosc.h  \
	tran/slope.h tran/sqrt.h  \
	tran/tapf.h tran/tapv.h  \
	tran/tone.h tran/tonev.h  \
	tran/upsample.h tran/white.h  \
	tran/stkrev.h tran/stkpitshift.h  \
	tran/stkchorus.h tran/instrbow.h  \
	tran/instrbowedfreq.h tran/instrbanded.h  \
	tran/instrmandolin.h tran/instrsitar.h  \
	tran/instrmodalbar.h tran/instrflute.h  \
	tran/instrflutefreq.h tran/instrfluteall.h  \
	tran/fmfb.h tran/fmfbv.h 

CMTHDRS = cmt/seqdecls.h nyqsrc/seqext.h  \
	cmt/seq.h nyqsrc/seqinterf.h  \
	cmt/seqread.h cmt/seqmread.h  \
	cmt/seqwrite.h cmt/seqmwrite.h 



bin:
	mkdir bin

liblo/Makefile:
	cd liblo; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared
	# sometimes, residual files cause problems
	cd liblo; make clean

$(LIBLO_PATH)/liblo.a: liblo/Makefile
	cd liblo; make

bin/ser-to-osc: bin $(LIBLO_PATH)/liblo.a
	$(CC) -c $(CFLAGS) liblo/ser-to-osc/ser-to-osc.cpp \
	      -o liblo/ser-to-osc/ser-to-osc.o
	$(LN)  liblo/ser-to-osc/ser-to-osc.o -o bin/ser-to-osc $(LFLAGS)

bin/test-client: bin $(LIBLO_PATH)/liblo.a
	$(CC) -c $(CFLAGS) liblo/test-client/test-client.c \
	      -o liblo/test-client/test-client.o
	$(LN) liblo/test-client/test-client.o -o bin/test-client  $(LFLAGS)

portaudio/Makefile:
	# note: without-jack avoids 32/64-bit link error on Debian
	cd portaudio; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared --without-jack
	# sometimes, residual files cause problems
	cd portaudio; make clean

$(LIBPA_PATH)/libportaudio.a: portaudio/Makefile
	cd portaudio; make

$(NY): $(OBJECTS) $(LIBPA_PATH)/libportaudio.a $(LIBLO_PATH)/liblo.a
	$(LN) $(OBJECTS) $(LFLAGS) -o $(NY)

# copy appropriate system.lsp and make it read-only;
# changes should be made to sys/unix/<system>/system.lsp
runtime/system.lsp: sys/unix/nonalsa/system.lsp
	# make sure it's there before you make it writeable
	touch runtime/system.lsp
	chmod +w runtime/system.lsp
	cp -p sys/unix/nonalsa/system.lsp runtime/system.lsp
	chmod -w runtime/system.lsp

nyqsrc/sound.o: nyqsrc/sound.c nyqsrc/sound.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/sound.c -o nyqsrc/sound.o $(CFLAGS)

nyqsrc/add.o: nyqsrc/add.c nyqsrc/add.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/add.c -o nyqsrc/add.o $(CFLAGS)

nyqsrc/avg.o: nyqsrc/avg.c nyqsrc/avg.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/avg.c -o nyqsrc/avg.o $(CFLAGS)

nyqsrc/compose.o: nyqsrc/compose.c nyqsrc/compose.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/compose.c -o nyqsrc/compose.o $(CFLAGS)

nyqsrc/convolve.o: nyqsrc/convolve.c nyqsrc/convolve.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	$(CC) -c nyqsrc/convolve.c -o nyqsrc/convolve.o $(CFLAGS)

=== sys/unix/sgi/Makefile ===
#
# Makefile for Nyquist, SYSTEM-TYPE is SGI
# run make in the top-level Nyquist directory to compile Nyquist
#
# NOTE: this file is machine-generated.  DO NOT EDIT!
#   Instead, modify makefile.lsp and regenerate the makefile.
#   Ports and bug fixes are welcome - please mail them to 
#   dannenberg@cs.cmu.edu.  Thanks.
#

# This is the resulting executable (normally "ny"):
NY = ny

# Standard list of includes (common to all unix versions)
INCL = -Inyqsrc -Itran -Ixlisp -Isys/unix -Icmt -Isnd -Ifft

# system dependent stuff for sgi:

CC = cc
CFLAGS = -DCMTSTUFF -g $(INCL)
LN = cc
LFLAGS = -lm
# you would need -lmd if UNIX_IRIX_MIDIFNS were defined in midifns.c


INTGEN = misc/intgen

# Object files for Nyquist:
OBJECTS = xlisp/extern.o xlisp/xldmem.o xlisp/xlbfun.o xlisp/xlcont.o  \
	xlisp/xldbug.o xlisp/xleval.o xlisp/xlfio.o xlisp/xlftab.o  \
	xlisp/xlglob.o xlisp/xlimage.o xlisp/xlinit.o xlisp/xlio.o  \
	xlisp/xlisp.o xlisp/xljump.o xlisp/xllist.o xlisp/xlmath.o  \
	xlisp/xlobj.o xlisp/xlpp.o xlisp/xlprin.o xlisp/xlread.o  \
	xlisp/xlstr.o xlisp/xlsubr.o xlisp/xlsym.o xlisp/xlsys.o  \
	tran/amosc.o tran/clip.o tran/const.o tran/fmosc.o  \
	tran/integrate.o tran/log.o tran/maxv.o tran/osc.o  \
	tran/prod.o tran/buzz.o tran/pwl.o tran/recip.o  \
	tran/upsample.o tran/scale.o tran/sine.o tran/partial.o  \
	tran/white.o tran/tone.o tran/tonev.o tran/atonev.o  \
	tran/atone.o tran/reson.o tran/areson.o tran/resonvc.o  \
	tran/resoncv.o tran/aresonvc.o tran/aresoncv.o tran/resonvv.o  \
	tran/aresonvv.o tran/offset.o tran/slope.o tran/delay.o  \
	tran/delaycv.o tran/shape.o tran/sampler.o tran/exp.o  \
	tran/siosc.o tran/follow.o tran/gate.o tran/quantize.o  \
	tran/ifft.o tran/congen.o tran/fromobject.o tran/fromarraystream.o  \
	tran/coterm.o tran/convolve.o tran/alpass.o tran/oneshot.o  \
	tran/chase.o tran/tapv.o tran/biquad.o tran/pluck.o  \
	cmt/cext.o cmt/cleanup.o cmt/cmdline.o cmt/cmtcmd.o  \
	cmt/moxc.o cmt/mem.o cmt/midifile.o cmt/midifns.o  \
	cmt/record.o cmt/seq.o cmt/seqmread.o cmt/seqmwrite.o  \
	cmt/seqread.o cmt/seqwrite.o cmt/tempomap.o cmt/timebase.o  \
	cmt/userio.o nyqsrc/debug.o nyqsrc/falloc.o nyqsrc/add.o  \
	nyqsrc/local.o nyqsrc/downsample.o nyqsrc/handlers.o nyqsrc/multiread.o  \
	nyqsrc/multiseq.o nyqsrc/samples.o nyqsrc/seqext.o nyqsrc/seqinterf.o  \
	nyqsrc/sndread.o nyqsrc/sndseq.o nyqsrc/sndwrite.o nyqsrc/sndmax.o  \
	nyqsrc/sound.o nyqsrc/stats.o nyqsrc/compose.o nyqsrc/inverse.o  \
	nyqsrc/resamp.o nyqsrc/resampv.o nyqsrc/ffilterkit.o nyqsrc/avg.o  \
	nyqsrc/fft.o nyqsrc/sndfail.o fft/fftn.o nyqsrc/sndfnint.o  \
	nyqsrc/seqfnint.o snd/audiosgi.o snd/sndsgi.o snd/ieeecvt.o  \
	snd/snd.o snd/sndcvt.o snd/sndio.o snd/sndheader.o  \
	sys/unix/osstuff.o sys/unix/term.o 

# Sound functions to add to xlisp
NYQHDRS = snd/snd.h nyqsrc/sound.h nyqsrc/downsample.h nyqsrc/sndread.h  \
	nyqsrc/sndseq.h nyqsrc/add.h nyqsrc/multiseq.h nyqsrc/samples.h  \
	nyqsrc/sndwrite.h nyqsrc/sndmax.h nyqsrc/compose.h nyqsrc/inverse.h  \
	nyqsrc/resamp.h nyqsrc/resampv.h nyqsrc/fft.h nyqsrc/avg.h  \
	tran/amosc.h tran/clip.h tran/const.h tran/fmosc.h  \
	tran/integrate.h tran/log.h tran/maxv.h tran/osc.h  \
	tran/prod.h tran/buzz.h tran/pwl.h tran/recip.h  \
	tran/upsample.h tran/scale.h tran/sine.h tran/partial.h  \
	tran/white.h tran/tone.h tran/tonev.h tran/atonev.h  \
	tran/atone.h tran/reson.h tran/areson.h tran/resonvc.h  \
	tran/resoncv.h tran/aresonvc.h tran/aresoncv.h tran/resonvv.h  \
	tran/aresonvv.h tran/offset.h tran/slope.h tran/delaycc.h  \
	tran/delaycv.h tran/shape.h tran/sampler.h tran/exp.h  \
	tran/siosc.h tran/follow.h tran/gate.h tran/quantize.h  \
	tran/ifft.h tran/congen.h tran/fromobject.h tran/fromarraystream.h  \
	tran/coterm.h tran/convolve.h tran/alpass.h tran/oneshot.h  \
	tran/chase.h tran/tapv.h tran/biquad.h tran/pluck.h 

CMTHDRS = cmt/seqdecls.h nyqsrc/seqext.h cmt/seq.h nyqsrc/seqinterf.h  \
	cmt/seqread.h cmt/seqmread.h cmt/seqwrite.h cmt/seqmwrite.h 


EVERYTHING = $(NY) runtime/system.lsp

CURRENT = $(EVERYTHING)

current: $(CURRENT)

$(NY): $(OBJECTS)
	$(LN) $(OBJECTS) $(LFLAGS) -o $(NY)

# copy appropriate system.lsp and make it read-only;
# changes should be made to sys/unix/<system>/system.lsp
runtime/system.lsp: sys/unix/sgi/system.lsp
	chmod +w runtime/system.lsp
	cp -p sys/unix/sgi/system.lsp runtime/system.lsp
	chmod -w runtime/system.lsp

nyqsrc/debug.o: nyqsrc/debug.c nyqsrc/debug.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/debug.c -o nyqsrc/debug.o $(CFLAGS)

nyqsrc/falloc.o: nyqsrc/falloc.c nyqsrc/falloc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/falloc.c -o nyqsrc/falloc.o $(CFLAGS)

nyqsrc/add.o: nyqsrc/add.c nyqsrc/add.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/add.c -o nyqsrc/add.o $(CFLAGS)

nyqsrc/local.o: nyqsrc/local.c xlisp/xlisp.h nyqsrc/sound.h
	cc -c nyqsrc/local.c -o nyqsrc/local.o $(CFLAGS)

nyqsrc/downsample.o: nyqsrc/downsample.c nyqsrc/downsample.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/downsample.c -o nyqsrc/downsample.o $(CFLAGS)

nyqsrc/handlers.o: nyqsrc/handlers.c 
	cc -c nyqsrc/handlers.c -o nyqsrc/handlers.o $(CFLAGS)

nyqsrc/multiread.o: nyqsrc/multiread.c nyqsrc/multiread.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/multiread.c -o nyqsrc/multiread.o $(CFLAGS)

nyqsrc/multiseq.o: nyqsrc/multiseq.c nyqsrc/multiseq.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/multiseq.c -o nyqsrc/multiseq.o $(CFLAGS)

nyqsrc/samples.o: nyqsrc/samples.c nyqsrc/samples.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/samples.c -o nyqsrc/samples.o $(CFLAGS)

nyqsrc/seqext.o: nyqsrc/seqext.c nyqsrc/seqext.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/seqext.c -o nyqsrc/seqext.o $(CFLAGS)

nyqsrc/seqinterf.o: nyqsrc/seqinterf.c nyqsrc/seqinterf.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/seqinterf.c -o nyqsrc/seqinterf.o $(CFLAGS)

nyqsrc/sndread.o: nyqsrc/sndread.c nyqsrc/sndread.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndread.c -o nyqsrc/sndread.o $(CFLAGS)

nyqsrc/sndseq.o: nyqsrc/sndseq.c nyqsrc/sndseq.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndseq.c -o nyqsrc/sndseq.o $(CFLAGS)

nyqsrc/sndwrite.o: nyqsrc/sndwrite.c nyqsrc/sndwrite.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndwrite.c -o nyqsrc/sndwrite.o $(CFLAGS)

nyqsrc/sndmax.o: nyqsrc/sndmax.c nyqsrc/sndmax.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndmax.c -o nyqsrc/sndmax.o $(CFLAGS)

nyqsrc/sound.o: nyqsrc/sound.c nyqsrc/sound.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sound.c -o nyqsrc/sound.o $(CFLAGS)

nyqsrc/stats.o: nyqsrc/stats.c nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/stats.c -o nyqsrc/stats.o $(CFLAGS)

nyqsrc/compose.o: nyqsrc/compose.c nyqsrc/compose.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/compose.c -o nyqsrc/compose.o $(CFLAGS)

nyqsrc/inverse.o: nyqsrc/inverse.c nyqsrc/inverse.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/inverse.c -o nyqsrc/inverse.o $(CFLAGS)

nyqsrc/resamp.o: nyqsrc/resamp.c nyqsrc/resamp.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/resamp.c -o nyqsrc/resamp.o $(CFLAGS)

nyqsrc/resampv.o: nyqsrc/resampv.c nyqsrc/resampv.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/resampv.c -o nyqsrc/resampv.o $(CFLAGS)

nyqsrc/ffilterkit.o: nyqsrc/ffilterkit.c nyqsrc/ffilterkit.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/ffilterkit.c -o nyqsrc/ffilterkit.o $(CFLAGS)

nyqsrc/avg.o: nyqsrc/avg.c nyqsrc/avg.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/avg.c -o nyqsrc/avg.o $(CFLAGS)

nyqsrc/fft.o: nyqsrc/fft.c nyqsrc/fft.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/fft.c -o nyqsrc/fft.o $(CFLAGS)

nyqsrc/sndfail.o: nyqsrc/sndfail.c 
	cc -c nyqsrc/sndfail.c -o nyqsrc/sndfail.o $(CFLAGS)

snd/audiosgi.o: snd/audiosgi.c snd/snd.h
	cc -c snd/audiosgi.c -o snd/audiosgi.o $(CFLAGS)

snd/sndsgi.o: snd/sndsgi.c snd/sndsgi.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/sndsgi.c -o snd/sndsgi.o $(CFLAGS)

snd/ieeecvt.o: snd/ieeecvt.c snd/ieeecvt.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/ieeecvt.c -o snd/ieeecvt.o $(CFLAGS)

snd/snd.o: snd/snd.c snd/snd.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/snd.c -o snd/snd.o $(CFLAGS)

snd/sndcvt.o: snd/sndcvt.c snd/snd.h
	cc -c snd/sndcvt.c -o snd/sndcvt.o $(CFLAGS)

snd/sndio.o: snd/sndio.c snd/snd.h
	cc -c snd/sndio.c -o snd/sndio.o $(CFLAGS)

snd/sndheader.o: snd/sndheader.c snd/sndheader.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/sndheader.c -o snd/sndheader.o $(CFLAGS)

fft/fftn.o: fft/fftn.c fft/fftn.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c fft/fftn.c -o fft/fftn.o $(CFLAGS)

tran/amosc.o: tran/amosc.c tran/amosc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/amosc.c -o tran/amosc.o $(CFLAGS)

tran/clip.o: tran/clip.c tran/clip.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/clip.c -o tran/clip.o $(CFLAGS)

tran/const.o: tran/const.c tran/const.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/const.c -o tran/const.o $(CFLAGS)

tran/fmosc.o: tran/fmosc.c tran/fmosc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/fmosc.c -o tran/fmosc.o $(CFLAGS)

tran/integrate.o: tran/integrate.c tran/integrate.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/integrate.c -o tran/integrate.o $(CFLAGS)

tran/log.o: tran/log.c tran/log.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/log.c -o tran/log.o $(CFLAGS)

tran/maxv.o: tran/maxv.c tran/maxv.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/maxv.c -o tran/maxv.o $(CFLAGS)

tran/osc.o: tran/osc.c tran/osc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/osc.c -o tran/osc.o $(CFLAGS)

tran/prod.o: tran/prod.c tran/prod.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/prod.c -o tran/prod.o $(CFLAGS)

tran/buzz.o: tran/buzz.c tran/buzz.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/buzz.c -o tran/buzz.o $(CFLAGS)

tran/pwl.o: tran/pwl.c tran/pwl.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/pwl.c -o tran/pwl.o $(CFLAGS)

tran/recip.o: tran/recip.c tran/recip.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/recip.c -o tran/recip.o $(CFLAGS)

tran/upsample.o: tran/upsample.c tran/upsample.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/upsample.c -o tran/upsample.o $(CFLAGS)

tran/scale.o: tran/scale.c tran/scale.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/scale.c -o tran/scale.o $(CFLAGS)

tran/sine.o: tran/sine.c tran/sine.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/sine.c -o tran/sine.o $(CFLAGS)

tran/partial.o: tran/partial.c tran/partial.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/partial.c -o tran/partial.o $(CFLAGS)

tran/white.o: tran/white.c tran/white.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/white.c -o tran/white.o $(CFLAGS)

tran/tone.o: tran/tone.c tran/tone.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/tone.c -o tran/tone.o $(CFLAGS)

tran/tonev.o: tran/tonev.c tran/tonev.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/tonev.c -o tran/tonev.o $(CFLAGS)

tran/atonev.o: tran/atonev.c tran/atonev.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/atonev.c -o tran/atonev.o $(CFLAGS)

tran/atone.o: tran/atone.c tran/atone.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/atone.c -o tran/atone.o $(CFLAGS)

tran/reson.o: tran/reson.c tran/reson.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/reson.c -o tran/reson.o $(CFLAGS)

tran/areson.o: tran/areson.c tran/areson.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/areson.c -o tran/areson.o $(CFLAGS)

tran/resonvc.o: tran/resonvc.c tran/resonvc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h

=== debian/changelog ===
nyquist (3.05-2ubuntu1) raring; urgency=low

  * patches/intgen-avoid-overlapping-strcpy.patch: avoid illegal
    overlapping strcpy invocation.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 22 Apr 2013 16:49:36 +0100

nyquist (3.05-2) unstable; urgency=low

  * patches/remove-corba-reference.diff: remove unnecessary import.
    Closes: #622197.

  * lintian fixes:
    - source/lintian-overrides: new.
    - control: Add build-dep for autotools-dev.  Update standards-version, 
      description.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Jul 2012 20:57:02 -0500

nyquist (3.05-1) unstable; urgency=low

  * New upstream.  Closes:#642828.
  
  * copyright: Add statement concerning relicencing of xlisp, to address
    concerns in #631646.

 -- Steve M. Robbins <smr@debian.org>  Fri, 21 Oct 2011 21:54:51 -0500

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Homepage: http://www.cs.cmu.edu/~music/nyquist/
 Section: sound
 Priority: optional
-Maintainer: Steve M. Robbins <smr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 8), javahelper, autoconf, automake1.11, libtool (>= 2.2.6),
- default-jdk, libsndfile1-dev, liblo-dev, portaudio19-dev
+ autotools-dev, default-jdk, libsndfile1-dev, liblo-dev, portaudio19-dev
 Build-Conflicts: autoconf2.13, automake1.4
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/nyquist/trunk/?op=log
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nyquist/trunk
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: nyquist
 Architecture: arm armel armhf any-i386 avr32 m68k mips mipsel powerpc powerpcspe sh4 sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a language for music composition and sound synthesis
+Description: language for music composition and sound synthesis
  Unlike score languages that tend to deal only with events, or signal
  processing languages that tend to deal only with signals and synthesis,
  Nyquist handles both in a single integrated system. Nyquist is also flexible

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  export DEB_CONFFLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  export DEB_CONFFLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	cc debian/check32.c && ./a.out
	ln -s sys/unix/nonalsa/Makefile

override_dh_clean:
	dh_clean
	[ -e Makefile ] && $(MAKE) cleaner || true
	rm -f nyqsrc/sndfnintptrs.h nyqsrc/sndfnint.c nyqsrc/sndfnintdefs.h
	rm -f nyqsrc/seqfnintptrs.h nyqsrc/seqfnint.c nyqsrc/seqfnintdefs.h
	rm -f jnyqide/*.class jnyqide/*.jar
	rm -f runtime/system.lsp
	rm -f */config.status */config.log */config.cache
	rm -f Makefile

override_dh_install:
	dh_install
	chmod -x debian/nyquist/usr/share/nyquist/lib/*.lsp

=== debian/watch ===
version=3
opts="uversionmangle=s/..$/.$0/" \
http://qa.debian.org/watch/sf.php/nyquist/ nyqsrc(.+).zip
